var d = app.dialogs.add( {name: "Word Caps", canCancel: true} );
d.dialogColumns.add().staticTexts.add( {staticLabel: "Word Caps from paragraph style:"} );
var paragraphStyleDD = d.dialogColumns.add().dropdowns.add( {stringList: [].concat( app.activeDocument.paragraphStyles.everyItem().name ), selectedIndex: 0} );
 
if ( !d.show() ) {
 // User cancelled
 d.destroy();
 exit();
}
 
var paragraphStyleIdx = paragraphStyleDD.selectedIndex;
d.destroy();
kAppVersion = parseFloat(app.version);
var myDoc = app.activeDocument;
var paraStyle = myDoc.paragraphStyles.item(paragraphStyleIdx);
ResetFindPrefs();
if(kAppVersion<5){
	myFinds = myDoc.search ("", false , false , undefined , {appliedParagraphStyle:paraStyle});
	}
else{
	app.findTextPreferences.appliedParagraphStyle= paraStyle;
	myFinds = myDoc.findText();
	}
ResetFindPrefs();
for ( var j = 0; myFinds.length > j; j++) {
	myParas = myFinds[j].paragraphs; // Could be a run of them
	for ( var k = 0; myParas.length > k; k++) {
		try {
			if(kAppVersion<5){
				mySpaceIndex = myParas[k].search(" ",false,false,undefined)[0].index;
				}else{
				app.findTextPreferences.findWhat=" ";
				mySpaceIndex = myParas[k].findText()[0].index;
				}
			myParas[k].dropCapCharacters = mySpaceIndex - myParas[k].index + 1;
			} catch (e) {} // Should only happen if para has no spaces, in which case ignore
		}
	}
//

function ResetFindPrefs(){
	if(kAppVersion<5){app.findPreferences = app.changePreferences = null;}
	else{app.findTextPreferences = null;ResetFindChangeOptions();}
	}
//**********************************
function ResetFindChangeOptions(){
	app.findChangeTextOptions.properties = {
		includeLockedStoriesForFind:false,
		includeLockedLayersForFind:false,
		includeHiddenLayers:false,
		includeMasterPages:false,
		includeFootnotes:false,
		wholeWord:false,
		caseSensitive:false
		}
	}
